Last Comment Bug 725925 - ShadowableThebesLayer does useless extra composite into 1x1 fake surface
: ShadowableThebesLayer does useless extra composite into 1x1 fake surface
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla13
Assigned To: Oleg Romashin (:romaxa)
:
: Milan Sreckovic [:milan]
Mentors:
http://romaxa.info/tests/Carousel_Tra...
Depends on: 757380
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-09 21:00 PST by Oleg Romashin (:romaxa)
Modified: 2012-05-22 03:16 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Quick fix for the extra dummy surface paint (3.57 KB, patch)
2012-02-09 21:00 PST, Oleg Romashin (:romaxa)
cjones.bugs: review+
Details | Diff | Splinter Review

Description Oleg Romashin (:romaxa) 2012-02-09 21:00:50 PST
Created attachment 595957 [details] [diff] [review]
Quick fix for the extra dummy surface paint

Puppet widget does extra rendering into 1x1 dummy surface which is causing extra composition and PixmanTransform calls and make css3d transform animation slower.
Comment 1 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-02-10 02:53:57 PST
Comment on attachment 595957 [details] [diff] [review]
Quick fix for the extra dummy surface paint

I don't think we need the special case in BasicThebesLayer::PaintThebes.  This fix is incomplete, but mattwoodrow's bug is the right way to go.  Neither of these changes hurts anything.

Please add a note to that bug to revert these changes after it's ready.
Comment 3 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-02-10 16:51:22 PST
I think you want |!clipExtents.IsEmpty()|.  And please test this ;).
Comment 4 Oleg Romashin (:romaxa) 2012-02-11 18:01:33 PST
Ok, ested new version on try and pushed again to inbound
Comment 5 Marco Bonardo [::mak] 2012-02-13 08:39:30 PST
https://hg.mozilla.org/mozilla-central/rev/f3f01935174c

Note You need to log in before you can comment on or make changes to this bug.